Package org.eclipse.gef.ui.palette

# Class PaletteEditPartFactory

java.lang.Object
org.eclipse.gef.ui.palette.PaletteEditPartFactory

All Implemented Interfaces:
  `EditPartFactory`

public class PaletteEditPartFactory extends Object implements EditPartFactory
Factory to create EditParts for different PaletteEntries.

## Constructor Summary

Constructors
Constructor
Description
`PaletteEditPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected EditPart`
`createDrawerEditPart(EditPart parentEditPart, Object model)`
Create DrawerEditPart - edit part for PaletteDrawer
`EditPart`
`createEditPart(EditPart parentEditPart, Object model)`
Creates a new EditPart given the specified context and model.
`protected EditPart`
`createEntryEditPart(EditPart parentEditPart, Object model)`
Create ToolEntryEditPart - edit part for ToolEntry
`protected EditPart`
`createGroupEditPart(EditPart parentEditPart, Object model)`
Create GroupEditPart - edit part for PaletteGroup
`protected EditPart`
`createMainPaletteEditPart(EditPart parentEditPart, Object model)`
Create SliderPaletteEditPart - edit part for PaletteRoot
`protected EditPart`
`createSeparatorEditPart(EditPart parentEditPart, Object model)`
Create SeparatorEditPart - edit part for PaletteSeparator
`protected EditPart`
`createStackEditPart(EditPart parentEditPart, Object model)`
Create PaletteStackEditPart - edit part for PaletteStack
`protected EditPart`
`createTemplateEditPart(EditPart parentEditPart, Object model)`
Create TemplateEditPart - edit part for PaletteTemplateEntry
`protected EditPart`
`createToolbarEditPart(EditPart parentEditPart, Object model)`
Create ToolbarEditPart - edit part for PaletteToolbar

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaletteEditPartFactory

public PaletteEditPartFactory()

## Method Details

### createDrawerEditPart

protected EditPart createDrawerEditPart(EditPart parentEditPart, Object model)
Create DrawerEditPart - edit part for PaletteDrawer

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteDrawer
Returns:
  the newly created EditPart

### createEditPart

public EditPart createEditPart(EditPart parentEditPart, Object model)
Description copied from interface: `EditPartFactory`
Creates a new EditPart given the specified context and model.

Specified by:
  `createEditPart` in interface `EditPartFactory`
Parameters:
  `parentEditPart` - The context in which the EditPart is being created, such as its parent.
  `model` - the model of the EditPart being created
Returns:
  EditPart the new EditPart
See Also:
  - `EditPartFactory.createEditPart(EditPart, Object)`

### createSeparatorEditPart

protected EditPart createSeparatorEditPart(EditPart parentEditPart, Object model)
Create SeparatorEditPart - edit part for PaletteSeparator

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteSeparator
Returns:
  the newly created EditPart

### createStackEditPart

protected EditPart createStackEditPart(EditPart parentEditPart, Object model)
Create PaletteStackEditPart - edit part for PaletteStack

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteStack
Returns:
  the newly created EditPart

### createEntryEditPart

protected EditPart createEntryEditPart(EditPart parentEditPart, Object model)
Create ToolEntryEditPart - edit part for ToolEntry

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the ToolEntry
Returns:
  the newly created EditPart

### createGroupEditPart

protected EditPart createGroupEditPart(EditPart parentEditPart, Object model)
Create GroupEditPart - edit part for PaletteGroup

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteGroup
Returns:
  the newly created EditPart

### createToolbarEditPart

protected EditPart createToolbarEditPart(EditPart parentEditPart, Object model)
Create ToolbarEditPart - edit part for PaletteToolbar

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteToolbar
Returns:
  the newly created EditPart

### createMainPaletteEditPart

protected EditPart createMainPaletteEditPart(EditPart parentEditPart, Object model)
Create SliderPaletteEditPart - edit part for PaletteRoot

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteRoot
Returns:
  the newly created EditPart

### createTemplateEditPart

protected EditPart createTemplateEditPart(EditPart parentEditPart, Object model)
Create TemplateEditPart - edit part for PaletteTemplateEntry

Parameters:
  `parentEditPart` - the parent of the new editpart to be created
  `model` - the PaletteTemplateEntry
Returns:
  the newly created EditPart